Bug 151867 - After installation firstboot errors with numerous python errors stating GtkDeprecationWarning
After installation firstboot errors with numerous python errors stating GtkDe...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 19:21 EST by James Helsby
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: firstboot-1.3.42-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-09 08:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Helsby 2005-03-22 19:21:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
after installation, firstboot (which runs after installation) results in the following output to the console:

/usr/share/firstboot/firstbootWindow.py:59: GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainHBox = gtk.HBox(gtk.FALSE, 10)
/usr/share/firstboot/firstbootWindow.py:69: GtkDeprecationWarning: gtk.TRUE is d eprecated, use True instead
  self.leftVBox.pack_start(leftEventBox, gtk.TRUE)
/usr/share/firstboot/firstbootWindow.py:86: GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.win.set_decorated(gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:112: DeprecationWarning: use gtk.gdk.Dra wable.draw_pixbuf
  y_screen, gtk.gdk.RGB_DITHER_MAX, 0, 0)
/usr/share/firstboot/firstbootWindow.py:113: GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.win.set_app_paintable(gtk.TRUE)
/usr/share/firstboot/firstbootWindow.py:114: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.win.window.set_back_pixmap(bgimage, gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:150: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.notebook.set_show_tabs(gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:151: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.notebook.set_show_border(gtk.FALSE)
/usr/lib/python2.4/site-packages/gtk-2.0/gnome/canvas.py:4: DeprecationWarning: Module gnome.canvas is deprecated; please import gnomecanvas instead
  DeprecationWarning)
Fatal Python error: could not import gnomevfs
/usr/sbin/firstboot: line 4:  7479 Aborted                 /usr/bin/python2 /usr /share/firstboot/firstboot.py $*

This can be verified by running firstboot from a console after the system has booted.


Version-Release number of selected component (if applicable):
firstboot-1.3.39-3

How reproducible:
Always

Steps to Reproduce:
1. log into a console
2. # firstboot
  

Actual Results:  /usr/share/firstboot/firstbootWindow.py:59: GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainHBox = gtk.HBox(gtk.FALSE, 10)
/usr/share/firstboot/firstbootWindow.py:69: GtkDeprecationWarning: gtk.TRUE is d eprecated, use True instead
  self.leftVBox.pack_start(leftEventBox, gtk.TRUE)
/usr/share/firstboot/firstbootWindow.py:86: GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.win.set_decorated(gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:112: DeprecationWarning: use gtk.gdk.Dra wable.draw_pixbuf
  y_screen, gtk.gdk.RGB_DITHER_MAX, 0, 0)
/usr/share/firstboot/firstbootWindow.py:113: GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.win.set_app_paintable(gtk.TRUE)
/usr/share/firstboot/firstbootWindow.py:114: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.win.window.set_back_pixmap(bgimage, gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:150: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.notebook.set_show_tabs(gtk.FALSE)
/usr/share/firstboot/firstbootWindow.py:151: GtkDeprecationWarning: gtk.FALSE is  deprecated, use False instead
  self.notebook.set_show_border(gtk.FALSE)
/usr/lib/python2.4/site-packages/gtk-2.0/gnome/canvas.py:4: DeprecationWarning: Module gnome.canvas is deprecated; please import gnomecanvas instead
  DeprecationWarning)
Fatal Python error: could not import gnomevfs
/usr/sbin/firstboot: line 4:  7479 Aborted                 /usr/bin/python2 /usr /share/firstboot/firstboot.py $*

Expected Results:  interactive sessions to configure initial user, set sound card configuration, video resolution, etc.

Additional info:

Dell 4600
P4 2.8 HT
512 MB PC 2700
Nvidia GeForce 5200 w/ 17" LCD

1x40GB HD (hda1 NTFS 30GB, hda2 /boot 512mb, hda3 swap 1024mb, hda4 / 8GB)
1x160GB HD FireWire
1xDVD-DLRW FireWire
1xDVD ATA
1xCDRW ATA
Comment 1 James Helsby 2005-03-24 13:39:38 EST
update 03.24.05:
did not manifest itself on a homebuilt system with a "selected" full
installation (all packages installed).

Might be missing a python library which should be installed by default.
Comment 2 Ricky Ng-Adam 2005-03-25 02:06:15 EST
To fix this, yum install gnome-python2-gnomevfs.

See #151867, #151307, #151577, #152113.
Comment 3 Chris Lumens 2005-08-03 16:03:51 EDT
Are you still seeing this problem on FC4?

Note You need to log in before you can comment on or make changes to this bug.